# Uses of Interface
org.eclipse.birt.chart.model.attribute.Cursor

Packages that use Cursor
Package
Description
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of Cursor in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Cursor
Modifier and Type
Method
Description
`Cursor`
InteractionEvent.`getCursor()`
Returns mouse cursor.
Methods in org.eclipse.birt.chart.event with parameters of type Cursor
Modifier and Type
Method
Description
`void`
InteractionEvent.`setCursor(Cursor cursor)`
Set mouse cursor.

## Uses of Cursor in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Cursor
Modifier and Type
Method
Description
`Cursor`
Cursor.`copyInstance()`
`Cursor`
AttributeFactory.`createCursor()`
Returns a new object of class 'Cursor'.

## Uses of Cursor in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Cursor
Modifier and Type
Class
Description
`class`
`CursorImpl`
An implementation of the model object 'Cursor'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Cursor
Modifier and Type
Method
Description
`Cursor`
CursorImpl.`copyInstance()`
`Cursor`
AttributeFactoryImpl.`createCursor()`

## Uses of Cursor in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Cursor
Modifier and Type
Method
Description
`Cursor`
Axis.`getCursor()`
Returns the value of the 'Cursor' containment reference.
`Cursor`
MarkerLine.`getCursor()`
Returns the value of the 'Cursor' containment reference.
`Cursor`
MarkerRange.`getCursor()`
Returns the value of the 'Cursor' containment reference.
`Cursor`
Series.`getCursor()`
Returns the value of the 'Cursor' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type Cursor
Modifier and Type
Method
Description
`void`
Axis.`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
MarkerLine.`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
MarkerRange.`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
Series.`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.

## Uses of Cursor in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return Cursor
Modifier and Type
Method
Description
`Cursor`
AxisImpl.`getCursor()`
`Cursor`
MarkerLineImpl.`getCursor()`
`Cursor`
MarkerRangeImpl.`getCursor()`
`Cursor`
SeriesImpl.`getCursor()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Cursor
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerLineImpl.`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
MarkerRangeImpl.`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
SeriesImpl.`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setCursor(Cursor newCursor)`
`void`
MarkerLineImpl.`setCursor(Cursor newCursor)`
`void`
MarkerRangeImpl.`setCursor(Cursor newCursor)`
`void`
SeriesImpl.`setCursor(Cursor newCursor)`

## Uses of Cursor in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Cursor
Modifier and Type
Method
Description
`Cursor`
Block.`getCursor()`
Returns the value of the 'Cursor' containment reference.
Methods in org.eclipse.birt.chart.model.layout with parameters of type Cursor
Modifier and Type
Method
Description
`void`
Block.`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.

## Uses of Cursor in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Cursor
Modifier and Type
Method
Description
`Cursor`
BlockImpl.`getCursor()`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Cursor
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetCursor(Cursor newCursor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setCursor(Cursor newCursor)`